Bug 156109 - [patch] games/wesnoth-devel: update to 1.9.5
Summary: [patch] games/wesnoth-devel: update to 1.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 13:40 UTC by Pan Tsu
Modified: 2011-06-21 10:20 UTC (History)
0 users

See Also:


Attachments
a.diff (11.60 KB, patch)
2011-04-01 13:40 UTC, Pan Tsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pan Tsu 2011-04-01 13:40:10 UTC
update:
- editor is no longer an option
- tinygui removed
Comment 1 lichray 2011-04-21 07:23:54 UTC
I compiled boost-libs (with gcc in base / gcc46) and wesnoth-devel
(with gcc46) with ana enabled.
When I trying to connect to the server, I see the following error message:
~> wesnoth
Battle for Wesnoth v1.9.5
Started on Thu Apr 21 01:18:27 2011


Data directory: /usr/local/share/wesnoth
User configuration directory: /home/lichray/.config/wesnoth
User data directory: /home/lichray/.local/share/wesnoth/1.9
Cache directory: /home/lichray/.cache/wesnoth
Checking video mode: 1680x1050x32...
setting mode to 1680x1050x32
terminate called after throwing an instance of
'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error>
>'
  what():  boost::lock_error
Abort (core dumped)

Now I'll compiling this port without ana, and see if this problem go away.

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 2 lichray 2011-04-21 07:45:53 UTC
Confirmed. This problem is caused by ANA.

BTW, if user do not copy a Junicode font to
/usr/local/share/wesnoth/fonts, he will see

~> wesnoth
Battle for Wesnoth v1.9.5
Started on Thu Apr 21 01:41:37 2011


Data directory: /usr/local/share/wesnoth
User configuration directory: /home/lichray/.config/wesnoth
User data directory: /home/lichray/.local/share/wesnoth/1.9
Cache directory: /home/lichray/.cache/wesnoth
20110421 01:41:38 warning font: Failed opening font file
'Junicode-Regular.ttf': No such file or directory
Checking video mode: 1680x1050x32...
setting mode to 1680x1050x32
20110421 01:41:40 warning font: Failed opening font file
'Junicode-Regular.ttf': No such file or directory

So if it's possible, can you add either junicode as a additional
distfile, or add junicode as a dependence, and create a symlink for
the file?

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 3 Pan Tsu 2011-05-10 04:41:53 UTC
Zhihao Yuan <lichray@gmail.com> writes:

[...]
> terminate called after throwing an instance of
> 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error>
> >'
>   what():  boost::lock_error
> Abort (core dumped)
[...]
> This problem is caused by ANA.

It maybe known since from 1.9.0 (ports/149899)... I'll defer disabling
ANA by default for someone who actually contacted upstream.

[...]
> So if it's possible, can you add either junicode as a additional
> distfile, or add junicode as a dependence, and create a symlink for
> the file?

To not interfere with other apps I'd install the font into DATADIR/fonts.
Wesnoth already has its own copy of DejaVuSans et al.

Here is an update for 1.9.6.

--- a.diff begins here ---
Index: games/wesnoth-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/Makefile,v
retrieving revision 1.96
diff -u -p -r1.96 Makefile
--- games/wesnoth-devel/Makefile	10 Apr 2011 08:48:12 -0000	1.96
+++ games/wesnoth-devel/Makefile	10 May 2011 03:10:07 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.9.4
+PORTVERSION=	1.9.6
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		http://files.wesnoth.org/
@@ -16,6 +16,7 @@ MAINTAINER=	philip@FreeBSD.org
 COMMENT=	A fantasy turn-based strategy game
 
 LIB_DEPENDS=	boost_thread.4:${PORTSDIR}/devel/boost-libs
+RUN_DEPENDS=	${NONEXISTENT}:${PORTSDIR}/x11-fonts/junicode:extract
 
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
@@ -36,7 +37,6 @@ PORTDATA=	*
 
 OPTIONS=	ANA	 "Enable Asynchronous Network API (WIP)" On \
 		CAMPAIGN "Enable campaign server"	On \
-		EDITOR	 "Enable map editor"		On \
 		FRIBIDI	 "Enable bidirectional support"	On \
 		LOWMEM	 "Reduce memory usage (disables animations)" Off \
 		NOTIFY	 "Enable desktop notifications"	On \
@@ -45,7 +45,6 @@ OPTIONS=	ANA	 "Enable Asynchronous Netwo
 		RAWSOCKETS "Use raw receiving sockets in multiplayer" Off \
 		SERVER	 "Enable server"		On \
 		TESTS	 "Enable unit tests"		Off \
-		TINYGUI	 "Enable tiny gui (down to 320x200)" Off \
 		TOOLS	 "Enable extra tools for artists and translators" On
 
 .include <bsd.port.options.mk>
@@ -69,14 +68,6 @@ CMAKE_ARGS+=	-DENABLE_CAMPAIGN_SERVER=on
 PLIST_SUB+=	CAMPAIGN=""
 .endif
 
-.if defined(WITHOUT_EDITOR)
-CMAKE_ARGS+=	-DENABLE_EDITOR=off
-PLIST_SUB+=	EDITOR="@comment "
-.else
-CMAKE_ARGS+=	-DENABLE_EDITOR=on
-PLIST_SUB+=	EDITOR=""
-.endif
-
 .if defined(WITHOUT_FRIBIDI)
 CMAKE_ARGS+=	-DENABLE_FRIBIDI=off
 .else
@@ -148,11 +139,6 @@ CMAKE_ARGS+=	-DENABLE_TESTS=on
 PLIST_SUB+=	TESTS=""
 .endif
 
-.if !defined(WITHOUT_TINYGUI)
-CMAKE_ARGS+=	-DGUI=tiny
-BUILD_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick
-.endif
-
 .if defined(WITHOUT_TOOLS)
 CMAKE_ARGS+=	-DENABLE_TOOLS=off
 PLIST_SUB+=	TOOLS="@comment "
@@ -170,6 +156,9 @@ IGNORE=		game data is required, undefine
 .endif
 
 post-install:
+	${INSTALL_DATA} $$(${MAKE} -V WRKSRC \
+		-C ${PORTSDIR}/x11-fonts/junicode)/fonts/Junicode-Regular.ttf \
+		${DATADIR}/fonts
 	-update-desktop-database ${PREFIX}/share/applications
 
 .include <bsd.port.mk>
Index: games/wesnoth-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/distinfo,v
retrieving revision 1.60
diff -u -p -r1.60 distinfo
--- games/wesnoth-devel/distinfo	18 Jan 2011 10:54:53 -0000	1.60
+++ games/wesnoth-devel/distinfo	10 May 2011 02:01:13 -0000
@@ -1,2 +1,2 @@
-SHA256 (wesnoth-1.9.4.tar.bz2) = 8644fc2efe071c91a306ca91419ccd11221c6930a1889d356c3a31501765e8d0
-SIZE (wesnoth-1.9.4.tar.bz2) = 334376625
+SHA256 (wesnoth-1.9.6.tar.bz2) = 20b773a2ca4a39464cd8b4eaa28e86a9e717571dab1ee51333dae8af6c9d9ea4
+SIZE (wesnoth-1.9.6.tar.bz2) = 334373087
Index: games/wesnoth-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/pkg-plist,v
retrieving revision 1.63
diff -u -p -r1.63 pkg-plist
--- games/wesnoth-devel/pkg-plist	18 Jan 2011 10:54:53 -0000	1.63
+++ games/wesnoth-devel/pkg-plist	1 Apr 2011 11:58:34 -0000
@@ -33,7 +33,7 @@ bin/wesnoth
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyo
 share/applications/wesnoth.desktop
-%%EDITOR%%share/applications/wesnoth_editor.desktop
+share/applications/wesnoth_editor.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-did.mo
@@ -59,6 +59,56 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-did.mo
@@ -1360,10 +1410,14 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth.mo
 share/pixmaps/wesnoth-icon.png
-%%EDITOR%%share/pixmaps/wesnoth_editor-icon.png
+share/pixmaps/wesnoth_editor-icon.png
 %%PYTHON%%@dirrm %%PYTHON_SITELIBDIR%%/wesnoth
 @dirrmtry man/af/man6
 @dirrmtry man/af
+@dirrmtry man/ang/man6
+@dirrmtry man/ang
+@dirrmtry man/ang@latin/man6
+@dirrmtry man/ang@latin
 @dirrmtry man/ar/man6
 @dirrmtry man/ar
 @dirrmtry man/bg/man6
@@ -1467,6 +1521,10 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry man/zh_TW/man6
 @dirrmtry man/zh_TW
 @dirrmtry share/applications
+%%NLS%%@dirrmtry share/locale/ang/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang
+%%NLS%%@dirrmtry share/locale/ang@latin/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang@latin
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia
 %%NLS%%@dirrmtry share/locale/en@shaw/LC_MESSAGES
Index: games/wesnoth-devel/files/patch-CMakeLists.txt
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/files/patch-CMakeLists.txt,v
retrieving revision 1.1
diff -u -p -r1.1 patch-CMakeLists.txt
--- games/wesnoth-devel/files/patch-CMakeLists.txt	18 Jan 2011 10:54:53 -0000	1.1
+++ games/wesnoth-devel/files/patch-CMakeLists.txt	10 May 2011 02:13:39 -0000
@@ -15,9 +15,9 @@
  find_package(X11)
  
 @@ -68,7 +67,7 @@ option(ENABLE_GAME "Enable compilation o
+ option(ENABLE_GAME "Enable compilation of the game" ON)
  option(ENABLE_CAMPAIGN_SERVER "Enable compilation of campaign server")
  option(ENABLE_SERVER "Enable compilation of server" ON)
- option(ENABLE_EDITOR "Enable compilation of the new map editor into the game executable" ON)
 -option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers")
 +option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers" OFF)
  option(ENABLE_TESTS "Build unit tests")
@@ -48,26 +48,18 @@
  				CACHE STRING "Flags used by the CXX compiler during release builds." FORCE)
  
  	endif(NOT CONFIGURED)
-@@ -151,9 +150,15 @@ if(X11_FOUND)
- 	add_definitions(-D_X11)
- endif(X11_FOUND)
- 
-+if(IS_ABSOLUTE ${LOCALEDIR})
-+	set(LOCALE_INSTALL ${LOCALEDIR})
-+	add_definitions(-DLOCALEDIR=\\\"${LOCALE_INSTALL}\\\")
+@@ -154,6 +153,7 @@ add_definitions(-DLOCALEDIR=\\\"${LOCALE
+ if(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=0)
+ 	set(LOCALE_INSTALL ${LOCALEDIR})
 +	set(LOCALEDIR "translations")
-+else(IS_ABSOLUTE ${LOCALEDIR})
- add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
- add_definitions(-DLOCALEDIR=\\\"${LOCALEDIR}\\\")
- set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
-+endif(IS_ABSOLUTE ${LOCALEDIR})
- 
- add_definitions(-DFIFODIR=\\\"${FIFO_DIR}\\\")
- 
-@@ -201,10 +206,14 @@ if(ENABLE_GAME)
- 		pkg_check_modules( FONTCONFIG REQUIRED fontconfig>=2.4.1 )
- 	endif(NOT MSVC)
- 
+ else(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
+ 	set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
+@@ -213,10 +213,14 @@ if(ENABLE_TESTS)
+ 	find_package( Boost 1.35 REQUIRED COMPONENTS unit_test_framework )
+ endif(ENABLE_TESTS)
+ if(ENABLE_GAME)
 -	find_package( FriBiDi )
 +	pkg_check_modules( FRIBIDI fribidi>=0.19.0 )
  	if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
Index: games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt,v
retrieving revision 1.1
diff -u -p -r1.1 patch-src-ana-src-CMakeLists.txt
--- games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt	18 Jan 2011 10:54:53 -0000	1.1
+++ games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt	1 Apr 2011 11:11:59 -0000
@@ -1,32 +1,34 @@
 --- src/ana/src/CMakeLists.txt~
 +++ src/ana/src/CMakeLists.txt
-@@ -4,7 +4,7 @@ include_directories( ../api )
+@@ -4,7 +4,7 @@ include_directories(../api)
  
- find_package( Boost 1.35 REQUIRED COMPONENTS thread system)
+ find_package(Boost 1.35 REQUIRED COMPONENTS thread system)
  
--set ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb3" )
-+set ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}" )
+-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb3")
++set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
  
- set ( common_srcs asio_listener.cpp asio_sender.cpp asio_timers.cpp )
+ set(common_srcs asio_listener.cpp asio_sender.cpp asio_timers.cpp)
  
-@@ -20,19 +20,9 @@ target_link_libraries( ana-static ${Boos
- 
- set ( CMAKE_INSTALL_PREFIX /usr/local )
- 
--IF(NOT MSVC)
--       set ( CMAKE_INSTALL_PREFIX /usr/local )
--       install ( TARGETS ana LIBRARY DESTINATION lib )
--       install ( TARGETS ana-static ARCHIVE DESTINATION lib )
--ENDIF(NOT MSVC)
--
- set ( ana_headers ../api/ana.hpp
-                   ../api/common.hpp
-                   ../api/timers.hpp
-                   ../api/buffers.hpp
-                   ../api/predicates.hpp
-                   ../api/binary_streams.hpp )
--
--IF(NOT MSVC)
--       install ( FILES  ${ana_headers} DESTINATION include/ana )
--ENDIF(NOT MSVC)
-\ No newline at end of file
+@@ -20,11 +20,11 @@ target_link_libraries( ana-static ${Boos
+ 
+ set(CMAKE_INSTALL_PREFIX /usr/local)
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	set(CMAKE_INSTALL_PREFIX /usr/local)
+ 	install(TARGETS ana LIBRARY DESTINATION lib)
+ 	install(TARGETS ana-static ARCHIVE DESTINATION lib)
+-endif(NOT MSVC)
++endif(FALSE)
+ 
+ set(ana_headers
+ 	../api/ana.hpp
+@@ -35,6 +35,6 @@ set(ana_headers
+ 	../api/binary_streams.hpp
+ )
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	install(FILES ${ana_headers} DESTINATION include/ana)
+-endif(NOT MSVC)
++endif(FALSE)
--- a.diff ends here ---
Comment 4 lichray 2011-05-10 05:37:46 UTC
OK... I installed the 1.9.6. No problem, no warning, great work!

I did not test the ANA. To use the gcc in base system may help. I don't
know. But I think this is stable enough to be committed.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
--------------------------------------------------
let focus = 'computing' in here:
http://let-in.blogspot.com
(let (me Program!)):
http://lichray.blogspot.com
Comment 5 Pan Tsu 2011-05-10 06:44:16 UTC
Add OPENMP knob, available since 1.9.5.

--- b.diff begins here ---
--- games/wesnoth-devel/Makefile~
+++ games/wesnoth-devel/Makefile
@@ -40,6 +40,7 @@ OPTIONS=	ANA	 "Enable Asynchronous Network API (WIP)" On \
 		FRIBIDI	 "Enable bidirectional support"	On \
 		LOWMEM	 "Reduce memory usage (disables animations)" Off \
 		NOTIFY	 "Enable desktop notifications"	On \
+		OPENMP	 "Enable OpenMP support"	Off \
 		POOLALLOC "Use wesnoth own memory allocator" Off \
 		PYTHON	 "Enable python developer tools" Off \
 		RAWSOCKETS "Use raw receiving sockets in multiplayer" Off \
@@ -101,6 +102,12 @@ _MANPAGES+=	${PREFIX}/man/es/man6/wesnothd.6 \
 PLIST_SUB+=	NLS=""
 .endif
 
+.if defined(WITHOUT_OPENMP)
+CMAKE_ARGS+=	-DENABLE_OMP=off
+.else
+CMAKE_ARGS+=	-DENABLE_OMP=on
+.endif
+
 .if defined(WITHOUT_POOLALLOC)
 CMAKE_ARGS+=	-DENABLE_POOL_ALLOC=off
 .else
--- b.diff ends here ---
Comment 6 Pan Tsu 2011-06-20 22:59:56 UTC
bump version to 1.9.7

--- a.diff begins here ---
Index: games/wesnoth-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/Makefile,v
retrieving revision 1.96
diff -u -p -r1.96 Makefile
--- games/wesnoth-devel/Makefile	10 Apr 2011 08:48:12 -0000	1.96
+++ games/wesnoth-devel/Makefile	20 Jun 2011 19:50:34 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.9.4
+PORTVERSION=	1.9.7
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		http://files.wesnoth.org/
@@ -16,6 +16,7 @@ MAINTAINER=	philip@FreeBSD.org
 COMMENT=	A fantasy turn-based strategy game
 
 LIB_DEPENDS=	boost_thread.4:${PORTSDIR}/devel/boost-libs
+RUN_DEPENDS=	${NONEXISTENT}:${PORTSDIR}/x11-fonts/junicode:extract
 
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
@@ -36,16 +37,15 @@ PORTDATA=	*
 
 OPTIONS=	ANA	 "Enable Asynchronous Network API (WIP)" On \
 		CAMPAIGN "Enable campaign server"	On \
-		EDITOR	 "Enable map editor"		On \
 		FRIBIDI	 "Enable bidirectional support"	On \
 		LOWMEM	 "Reduce memory usage (disables animations)" Off \
 		NOTIFY	 "Enable desktop notifications"	On \
+		OPENMP	 "Enable OpenMP support"	Off \
 		POOLALLOC "Use wesnoth own memory allocator" Off \
 		PYTHON	 "Enable python developer tools" Off \
 		RAWSOCKETS "Use raw receiving sockets in multiplayer" Off \
 		SERVER	 "Enable server"		On \
 		TESTS	 "Enable unit tests"		Off \
-		TINYGUI	 "Enable tiny gui (down to 320x200)" Off \
 		TOOLS	 "Enable extra tools for artists and translators" On
 
 .include <bsd.port.options.mk>
@@ -69,14 +69,6 @@ CMAKE_ARGS+=	-DENABLE_CAMPAIGN_SERVER=on
 PLIST_SUB+=	CAMPAIGN=""
 .endif
 
-.if defined(WITHOUT_EDITOR)
-CMAKE_ARGS+=	-DENABLE_EDITOR=off
-PLIST_SUB+=	EDITOR="@comment "
-.else
-CMAKE_ARGS+=	-DENABLE_EDITOR=on
-PLIST_SUB+=	EDITOR=""
-.endif
-
 .if defined(WITHOUT_FRIBIDI)
 CMAKE_ARGS+=	-DENABLE_FRIBIDI=off
 .else
@@ -110,6 +102,12 @@ _MANPAGES+=	${PREFIX}/man/es/man6/wesnot
 PLIST_SUB+=	NLS=""
 .endif
 
+.if defined(WITHOUT_OPENMP)
+CMAKE_ARGS+=	-DENABLE_OMP=off
+.else
+CMAKE_ARGS+=	-DENABLE_OMP=on
+.endif
+
 .if defined(WITHOUT_POOLALLOC)
 CMAKE_ARGS+=	-DENABLE_POOL_ALLOC=off
 .else
@@ -148,11 +146,6 @@ CMAKE_ARGS+=	-DENABLE_TESTS=on
 PLIST_SUB+=	TESTS=""
 .endif
 
-.if !defined(WITHOUT_TINYGUI)
-CMAKE_ARGS+=	-DGUI=tiny
-BUILD_DEPENDS+=	convert:${PORTSDIR}/graphics/ImageMagick
-.endif
-
 .if defined(WITHOUT_TOOLS)
 CMAKE_ARGS+=	-DENABLE_TOOLS=off
 PLIST_SUB+=	TOOLS="@comment "
@@ -170,6 +163,9 @@ IGNORE=		game data is required, undefine
 .endif
 
 post-install:
+	${INSTALL_DATA} $$(${MAKE} -V WRKSRC \
+		-C ${PORTSDIR}/x11-fonts/junicode)/fonts/Junicode-Regular.ttf \
+		${DATADIR}/fonts
 	-update-desktop-database ${PREFIX}/share/applications
 
 .include <bsd.port.mk>
Index: games/wesnoth-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/distinfo,v
retrieving revision 1.60
diff -u -p -r1.60 distinfo
--- games/wesnoth-devel/distinfo	18 Jan 2011 10:54:53 -0000	1.60
+++ games/wesnoth-devel/distinfo	20 Jun 2011 20:08:22 -0000
@@ -1,2 +1,2 @@
-SHA256 (wesnoth-1.9.4.tar.bz2) = 8644fc2efe071c91a306ca91419ccd11221c6930a1889d356c3a31501765e8d0
-SIZE (wesnoth-1.9.4.tar.bz2) = 334376625
+SHA256 (wesnoth-1.9.7.tar.bz2) = ced4a5f88d650a97e547dfec153c89da04c565b2d705ef0920dbc000338f4492
+SIZE (wesnoth-1.9.7.tar.bz2) = 338021134
Index: games/wesnoth-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/pkg-plist,v
retrieving revision 1.63
diff -u -p -r1.63 pkg-plist
--- games/wesnoth-devel/pkg-plist	18 Jan 2011 10:54:53 -0000	1.63
+++ games/wesnoth-devel/pkg-plist	1 Apr 2011 11:58:34 -0000
@@ -33,7 +33,7 @@ bin/wesnoth
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyo
 share/applications/wesnoth.desktop
-%%EDITOR%%share/applications/wesnoth_editor.desktop
+share/applications/wesnoth_editor.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-did.mo
@@ -59,6 +59,56 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-did.mo
@@ -1360,10 +1410,14 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth.mo
 share/pixmaps/wesnoth-icon.png
-%%EDITOR%%share/pixmaps/wesnoth_editor-icon.png
+share/pixmaps/wesnoth_editor-icon.png
 %%PYTHON%%@dirrm %%PYTHON_SITELIBDIR%%/wesnoth
 @dirrmtry man/af/man6
 @dirrmtry man/af
+@dirrmtry man/ang/man6
+@dirrmtry man/ang
+@dirrmtry man/ang@latin/man6
+@dirrmtry man/ang@latin
 @dirrmtry man/ar/man6
 @dirrmtry man/ar
 @dirrmtry man/bg/man6
@@ -1467,6 +1521,10 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry man/zh_TW/man6
 @dirrmtry man/zh_TW
 @dirrmtry share/applications
+%%NLS%%@dirrmtry share/locale/ang/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang
+%%NLS%%@dirrmtry share/locale/ang@latin/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang@latin
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia
 %%NLS%%@dirrmtry share/locale/en@shaw/LC_MESSAGES
Index: games/wesnoth-devel/files/patch-CMakeLists.txt
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/files/patch-CMakeLists.txt,v
retrieving revision 1.1
diff -u -p -r1.1 patch-CMakeLists.txt
--- games/wesnoth-devel/files/patch-CMakeLists.txt	18 Jan 2011 10:54:53 -0000	1.1
+++ games/wesnoth-devel/files/patch-CMakeLists.txt	20 Jun 2011 20:31:56 -0000
@@ -15,9 +15,9 @@
  find_package(X11)
  
 @@ -68,7 +67,7 @@ option(ENABLE_GAME "Enable compilation o
+ option(ENABLE_GAME "Enable compilation of the game" ON)
  option(ENABLE_CAMPAIGN_SERVER "Enable compilation of campaign server")
  option(ENABLE_SERVER "Enable compilation of server" ON)
- option(ENABLE_EDITOR "Enable compilation of the new map editor into the game executable" ON)
 -option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers")
 +option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers" OFF)
  option(ENABLE_TESTS "Build unit tests")
@@ -27,8 +27,8 @@
  		endif(ENABLE_STRICT_COMPILATION)
  
  		# Strict compilation for C files is disabled until somebody wants to clean them.
--		set(CMAKE_C_FLAGS "-O2 -W -Wall -ansi $ENV{CFLAGS}" 
-+		set(CMAKE_C_FLAGS "-W -Wall -ansi $ENV{CFLAGS}" 
+-		set(CMAKE_C_FLAGS "-O2 -W -Wall -ansi $ENV{CFLAGS}"
++		set(CMAKE_C_FLAGS "-W -Wall -ansi $ENV{CFLAGS}"
  				CACHE STRING "Flags used by the C compiler during normal builds." FORCE)
 -		set(CMAKE_C_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -ansi $ENV{CFLAGS}"
 +		set(CMAKE_C_FLAGS_DEBUG "-DDEBUG -W -Wall -ansi $ENV{CFLAGS}"
@@ -48,26 +48,18 @@
  				CACHE STRING "Flags used by the CXX compiler during release builds." FORCE)
  
  	endif(NOT CONFIGURED)
-@@ -151,9 +150,15 @@ if(X11_FOUND)
- 	add_definitions(-D_X11)
- endif(X11_FOUND)
- 
-+if(IS_ABSOLUTE ${LOCALEDIR})
-+	set(LOCALE_INSTALL ${LOCALEDIR})
-+	add_definitions(-DLOCALEDIR=\\\"${LOCALE_INSTALL}\\\")
+@@ -154,6 +153,7 @@ add_definitions(-DLOCALEDIR=\\\"${LOCALE
+ if(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=0)
+ 	set(LOCALE_INSTALL ${LOCALEDIR})
 +	set(LOCALEDIR "translations")
-+else(IS_ABSOLUTE ${LOCALEDIR})
- add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
- add_definitions(-DLOCALEDIR=\\\"${LOCALEDIR}\\\")
- set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
-+endif(IS_ABSOLUTE ${LOCALEDIR})
- 
- add_definitions(-DFIFODIR=\\\"${FIFO_DIR}\\\")
- 
-@@ -201,10 +206,14 @@ if(ENABLE_GAME)
- 		pkg_check_modules( FONTCONFIG REQUIRED fontconfig>=2.4.1 )
- 	endif(NOT MSVC)
- 
+ else(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
+ 	set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
+@@ -213,10 +213,14 @@ if(ENABLE_TESTS)
+ 	find_package( Boost 1.35 REQUIRED COMPONENTS unit_test_framework )
+ endif(ENABLE_TESTS)
+ if(ENABLE_GAME)
 -	find_package( FriBiDi )
 +	pkg_check_modules( FRIBIDI fribidi>=0.19.0 )
  	if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
Index: games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt,v
retrieving revision 1.1
diff -u -p -r1.1 patch-src-ana-src-CMakeLists.txt
--- games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt	18 Jan 2011 10:54:53 -0000	1.1
+++ games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt	1 Apr 2011 11:11:59 -0000
@@ -1,32 +1,34 @@
 --- src/ana/src/CMakeLists.txt~
 +++ src/ana/src/CMakeLists.txt
-@@ -4,7 +4,7 @@ include_directories( ../api )
+@@ -4,7 +4,7 @@ include_directories(../api)
  
- find_package( Boost 1.35 REQUIRED COMPONENTS thread system)
+ find_package(Boost 1.35 REQUIRED COMPONENTS thread system)
  
--set ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb3" )
-+set ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}" )
+-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb3")
++set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
  
- set ( common_srcs asio_listener.cpp asio_sender.cpp asio_timers.cpp )
+ set(common_srcs asio_listener.cpp asio_sender.cpp asio_timers.cpp)
  
-@@ -20,19 +20,9 @@ target_link_libraries( ana-static ${Boos
- 
- set ( CMAKE_INSTALL_PREFIX /usr/local )
- 
--IF(NOT MSVC)
--       set ( CMAKE_INSTALL_PREFIX /usr/local )
--       install ( TARGETS ana LIBRARY DESTINATION lib )
--       install ( TARGETS ana-static ARCHIVE DESTINATION lib )
--ENDIF(NOT MSVC)
--
- set ( ana_headers ../api/ana.hpp
-                   ../api/common.hpp
-                   ../api/timers.hpp
-                   ../api/buffers.hpp
-                   ../api/predicates.hpp
-                   ../api/binary_streams.hpp )
--
--IF(NOT MSVC)
--       install ( FILES  ${ana_headers} DESTINATION include/ana )
--ENDIF(NOT MSVC)
-\ No newline at end of file
+@@ -20,11 +20,11 @@ target_link_libraries( ana-static ${Boos
+ 
+ set(CMAKE_INSTALL_PREFIX /usr/local)
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	set(CMAKE_INSTALL_PREFIX /usr/local)
+ 	install(TARGETS ana LIBRARY DESTINATION lib)
+ 	install(TARGETS ana-static ARCHIVE DESTINATION lib)
+-endif(NOT MSVC)
++endif(FALSE)
+ 
+ set(ana_headers
+ 	../api/ana.hpp
+@@ -35,6 +35,6 @@ set(ana_headers
+ 	../api/binary_streams.hpp
+ )
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	install(FILES ${ana_headers} DESTINATION include/ana)
+-endif(NOT MSVC)
++endif(FALSE)
--- a.diff ends here ---
Comment 7 dfilter service freebsd_committer 2011-06-21 10:18:48 UTC
philip      2011-06-21 09:18:38 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo pkg-plist 
    games/wesnoth-devel/files patch-CMakeLists.txt 
                              patch-src-ana-src-CMakeLists.txt 
  Log:
  Update to 1.9.7.
  
  PR:             ports/156109
  Submitted by:   Pan Tsu <inyaoo -at- gmail.com>
  
  Revision  Changes    Path
  1.97      +12 -16    ports/games/wesnoth-devel/Makefile
  1.61      +2 -2      ports/games/wesnoth-devel/distinfo
  1.2       +14 -22    ports/games/wesnoth-devel/files/patch-CMakeLists.txt
  1.2       +28 -26    ports/games/wesnoth-devel/files/patch-src-ana-src-CMakeLists.txt
  1.64      +60 -2     ports/games/wesnoth-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Philip Paeps freebsd_committer 2011-06-21 10:19:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!